<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.99.60.5.10.3001
Name: Vital Signs Section
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.99.60.5.10.3001-2014-07-08T000000">
   <title>Vital Signs Section</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.3001
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.3001']]
Item: (VitalSignsSection)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.3001
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.3001']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.3001']
Item: (VitalSignsSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.3001']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.3001']"
         id="d112e1721-false-d6229e0">
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.3001-2014-07-08T000000.html"
              test="string(@classCode)=('DOCSECT') or not(@classCode)">(VitalSignsSection): The value for @classCode SHALL be 'DOCSECT'.</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.3001-2014-07-08T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.3001'])&gt;=1">(VitalSignsSection): element hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.3001'] is required [min 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.3001-2014-07-08T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.3001'])&lt;=1">(VitalSignsSection): element hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.3001'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.3001-2014-07-08T000000.html"
              test="count(hl7:code[(@code='8716-3' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&gt;=1">(VitalSignsSection): element hl7:code[(@code='8716-3' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.3001-2014-07-08T000000.html"
              test="count(hl7:code[(@code='8716-3' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&lt;=1">(VitalSignsSection): element hl7:code[(@code='8716-3' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.3001-2014-07-08T000000.html"
              test="count(hl7:title[not(@nullFlavor)])&gt;=1">(VitalSignsSection): element hl7:title[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.3001-2014-07-08T000000.html"
              test="count(hl7:title[not(@nullFlavor)])&lt;=1">(VitalSignsSection): element hl7:title[not(@nullFlavor)] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.3001-2014-07-08T000000.html"
              test="count(hl7:text[not(@nullFlavor)])&gt;=1">(VitalSignsSection): element hl7:text[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.3001-2014-07-08T000000.html"
              test="count(hl7:text[not(@nullFlavor)])&lt;=1">(VitalSignsSection): element hl7:text[not(@nullFlavor)] appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.3001
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.3001']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.3001']/hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.3001']
Item: (VitalSignsSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.3001']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.3001']/hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.3001']"
         id="d112e1725-false-d6306e0">
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.3001-2014-07-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VitalSignsSection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.3001-2014-07-08T000000.html"
              test="string(@root)=('2.16.840.1.113883.3.1937.99.60.5.10.3001')">(VitalSignsSection): The value for @root SHALL be '2.16.840.1.113883.3.1937.99.60.5.10.3001'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.3001
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.3001']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.3001']/hl7:code[(@code='8716-3' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]
Item: (VitalSignsSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.3001']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.3001']/hl7:code[(@code='8716-3' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]"
         id="d112e1730-false-d6325e0">
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.3001-2014-07-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VitalSignsSection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.3001-2014-07-08T000000.html"
              test="@nullFlavor or (@code='8716-3' and @codeSystem='2.16.840.1.113883.6.1')">(VitalSignsSection): The element value SHALL be one of 'code '8716-3' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.3001
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.3001']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.3001']/hl7:title[not(@nullFlavor)]
Item: (VitalSignsSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.3001']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.3001']/hl7:title[not(@nullFlavor)]"
         id="d112e1735-false-d6347e0">
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.3001-2014-07-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VitalSignsSection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.3001
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.3001']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.3001']/hl7:text[not(@nullFlavor)]
Item: (VitalSignsSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.3001']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.3001']/hl7:text[not(@nullFlavor)]"
         id="d112e1737-false-d6362e0">
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.3001-2014-07-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VitalSignsSection): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:SD.TEXT", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SD.TEXT"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.3001
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.3001']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.3001']/hl7:entry[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.115']]
Item: (VitalSignsSection)
-->
   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.3001']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.3001']/hl7:entry[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.60.5.10.115']]">
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.3001-2014-07-08T000000.html"
              test="@typeCode">(VitalSignsSection): attribute @typeCode SHALL be present.</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.3001-2014-07-08T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(VitalSignsSection): Attribute @typeCode SHALL be of data type 'cs'</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@typeCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(for $code in tokenize(@typeCode,' ') return if ($code=('COMP')) then ($code) else ())"/>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.3001-2014-07-08T000000.html"
              test="not(@typeCode) or count($theAttValue) = count($theAttCheck)">(VitalSignsSection): The value for typeCode SHALL be 'code COMP'.</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20160524T132726/tmp-2.16.840.1.113883.3.1937.99.60.5.10.3001-2014-07-08T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(VitalSignsSection): Attribute @contextConductionInd SHALL be of data type 'bl'</assert>
   </rule>
</pattern>
